/* stylelint-disable selector-max-id, max-nesting-depth */

html,
body {
  height: 100%;
}

#wrap {
  margin: 0 auto (0 - $footer-height);
  min-height: 100%;
}

#outer {
  padding-top: $navbar-height;

  &.test-warning {
    padding-top: $navbar-height + 24px;

    .alert-messages,
    .calendar-nav-container {
      top: $navbar-height + 24px;
    }
  }
}

.push {
  height: $footer-height;
}

#maincontent {
  padding: 25px 0;

  > *:first-child {
    margin-top: 0;
    padding-top: 0;
  }
}
